POST /restore/upgrade
/restore/upgrade
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
RestoreParams
Show optional properties
{
"file": "string"
}
{
"enable_migration": false,
"file": "string",
"passphrase": "string",
"prechecks_only": false,
"skip_warnings": false,
"type": "string"
}
This flag is set to allow migration across version during controller restore operations. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Requested config file path. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
The passphrase with which the configuration was exported. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
This flag is set to run the pre-checks without the subsequent restore operations. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
This flag allows you to bypass the warning prechecks. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Type of the file. Enum options - JSON, BUNDLE. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
OK
log in failed
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"file":"string"}' https://{api_host}/api/restore/upgrade